MEGADF(1)

NAME
megadf - Show total available, used, or free space in the cloud

SYNOPSIS

megadf [--free|--total|--used] [--mb|--gb|-h]

DESCRIPTION

Shows available, used and free space in the cloud in machine or human readable formats.

OPTIONS

--total
    Show only total available space (free + used).

--free
    Show only free space.

--used
    Show only used space.

--human, -h
    Display file sizes in a human readable format.

--mb
    Show in MiB units.

--gb
    Show in GiB units.

-u <email>, --username <email>
    Account username (email)

-p <password>, --password <password>
    Account password

--config <path>
    Load configuration from a file

--ignore-config-file
    Disable loading .megarc

--no-ask-password
    Never ask interactively for a password

--disable-previews
    Never generate and upload file previews, when uploading new files

--reload
    Reload filesystem cache

--debug [<options>]
    Enable debugging of various aspects of the megatools operation. You may enable multiple debugging options separated by commas. (eg. --debug api,fs)

    Available options are:

        • api: Dump Mega.co.nz API calls

        • fs: Dump Mega.co.nz filesystem (may require --reload to actually print something)

        • cache: Dump cache contents

--version
    Show version information

EXAMPLES

    • Show overall human readable space usage information:

        $ megadf -h
        Total: 50.0 GiB
        Used:  6.4 GiB
        Free:  43.6 GiB

    • Check free space from a script:

        $ test `megadf --free --gb` -lt 1 && \
          echo "You have less than 1 GiB of available free space"

KNOWN BUGS

Megadf can’t determine available space for premium accounts.

SEE ALSO

megatools(7), megarc(5), megadf(1), megadl(1), megaget(1), megals(1), megamkdir(1), megaput(1), megareg(1), megarm(1), megacopy(1), megafs(1).

MEGATOOLS

Part of the megatools(7) suite.

BUGS

Report bugs at https://github.com/megous/megatools or megous@megous.com.

AUTHOR

Megatools was written by Ondrej Jirman <megous@megous.com>, 2013.

Official website is http://megatools.megous.com.